/**
 \defgroup   ARM_CMSIS_CM3_NVIC  CM3 Nested Vectored Interrupt Controller (NVIC)
 \brief      Type definitions for the CM3 NVIC Registers
 @{
 */

/** \brief  Structure type to access the Nested Vectored Interrupt Controller (NVIC) on CM3.
 */
typedef struct
{
    __IO uint32_t ISER[8];  /*!< Offset: 0x000 (R/W)  Interrupt Set Enable Register           */
    uint32_t RESERVED0[24]; /*!< Gap          */
    // the rest was removed
    __O  uint32_t STIR;     /*!< Offset: 0xE00 ( /W)  Software Trigger Interrupt Register     */
}  NVIC_Type;

/* Software Triggered Interrupt Register Definitions */
#define NVIC_STIR_INTID_Pos                 0                                          /*!< STIR: INTLINESNUM Position */
#define NVIC_STIR_INTID_Msk                (0x1FFUL << NVIC_STIR_INTID_Pos)            /*!< STIR: INTLINESNUM Mask */

/*@} end of group ARM_CMSIS_NVIC */
